<div class="centered-content">
    <div class="modal-box">
        <h1 class="title">
            Create a new task
        </h1>

        <input #taskTitleInput [ngClass]="listNameValid ? 'input danger' : 'input'" type="text" placeholder="Enter task name....">
        <span style="color: red;font-size: 12px;" *ngIf="listNameValid">*Name is required</span>
        <input  #taskDescriptionInput class="input" type="text" placeholder="Enter description name...." style="margin-top: 10px;">
        <br><br>
        <div class="buttons">
            <button class="button" [routerLink]="['/lists', listId]">Cancel</button>
            <button class="button is-primary" (click)="createNewTask(taskTitleInput.value, taskDescriptionInput.value)">Create</button>
        </div>
    </div>
</div>